#ifndef CAMPSETTINGSFORM_H
#define CAMPSETTINGSFORM_H

#include <QWidget>
#include <QList>

#include "campsettings.h"
#include "data/camp-data.h"
#include <formbinder.h>
#include <autotablemodel.h>

namespace Ui {
class CampSettingsForm;
}

class CampSettingsForm : public FormBinder<CampSettings>
{
    Q_OBJECT

public:
    explicit CampSettingsForm(QWidget *parent = 0);
    ~CampSettingsForm();

    // IForm interface
public slots:
    bool saveRecord();

    // IForm interface
public:
    void loadEntity();

private slots:
    void on_btnPriceAdd_clicked();

    void on_btnSaleAdd_clicked();

    void on_btnPriceRemove_clicked();

    void on_btnPriceDisable_clicked();

    void on_btnPriceFilter_clicked();

    void on_btnSaleRemove_clicked();

private:
    Ui::CampSettingsForm *ui;
    AutoTableModel<PersonPrice> *m_personPriceModel;
    AutoTableModel<Sale> *m_saleModel;
};

#endif // CAMPSETTINGSFORM_H
